summaryrefslogtreecommitdiffstats
path: root/source/l/libgphoto2/libgphoto2.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/libgphoto2/libgphoto2.SlackBuild')
-rwxr-xr-xsource/l/libgphoto2/libgphoto2.SlackBuild25
1 files changed, 20 insertions, 5 deletions
diff --git a/source/l/libgphoto2/libgphoto2.SlackBuild b/source/l/libgphoto2/libgphoto2.SlackBuild
index ad1a0e7e2..989653a4c 100755
--- a/source/l/libgphoto2/libgphoto2.SlackBuild
+++ b/source/l/libgphoto2/libgphoto2.SlackBuild
@@ -24,7 +24,7 @@
PKGNAM=libgphoto2
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -72,6 +72,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# udev-175 bundles usb_id into the udevd binary
+zcat $CWD/fix-usb_id-callout-for-udev-175.diff.gz | patch -p1 || exit 1
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -111,8 +114,8 @@ LIBDIR=$PKG/usr/lib${LIBDIRSUFFIX}
export LD_LIBRARY_PATH CAMLIBS LIBDIR
# Generate udev rules
mkdir -p $PKG/lib/udev/rules.d
-$PKG/usr/bin/print-camera-list udev-rules mode 0660 owner root group plugdev \
- > $PKG/lib/udev/rules.d/90-libgphoto2.rules
+$PKG/usr/bin/print-camera-list udev-rules version 136 mode 0660 owner root group plugdev \
+ > $PKG/lib/udev/rules.d/40-libgphoto2.rules
# Generate fdi files
mkdir -p $PKG/usr/share/hal/fdi/information/20thirdparty
$PKG/usr/bin/print-camera-list hal-fdi \
@@ -121,8 +124,20 @@ $PKG/usr/bin/print-camera-list hal-fdi-device \
> $PKG/usr/share/hal/fdi/information/20thirdparty/10-camera-libgphoto2-device.fdi
unset LD_LIBRARY_PATH CAMLIBS LIBDIR # Unset these just in case
-# Compress man pages
-find $PKG/usr/man -type f -exec gzip -9 {} \;
+# Compress and link manpages, if any:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \